using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AyCode.Database.DbContexts;
using Microsoft.EntityFrameworkCore;
using TIAM.Entities.Auctions;
using TIAM.Entities.TransferDestinations;

namespace TIAM.Database.DbContexts.Auctions
{
    public class AuctionDbContext : DbContextBase
    {
        public virtual DbSet<AuctionBid> AuctionBids { get; set; }

        public AuctionDbContext() //: this(string.Empty)
        {

        }

        public AuctionDbContext(DbContextOptions<AuctionDbContext> options) //: this(string.Empty)
        {

        }

        public AuctionDbContext(string name) : base(name)
        {
        }

        public AuctionDbContext(DbContextOptions<DbContext> options, string name) : base(options, name)
        {
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            base.OnConfiguring(optionsBuilder);
        }
    }
}
